package org.dromara.payment.thirdPlatform.xinyujian.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.payment.thirdPlatform.xinyujian.domain.bo.ThirdItemTaskTypesBo;
import org.dromara.payment.thirdPlatform.xinyujian.domain.vo.ThirdItemTaskTypesVo;

import java.util.Collection;
import java.util.List;

/**
 * 三方平台企业的项目任务类型Service接口
 *
 * @author LionLi
 * @date 2025-03-30
 */
public interface IThirdItemTaskTypesService {

    /**
     * 查询三方平台企业的项目任务类型
     */
    ThirdItemTaskTypesVo queryById(Long id);

    /**
     * 查询三方平台企业的项目任务类型列表
     */
    TableDataInfo<ThirdItemTaskTypesVo> queryPageList(ThirdItemTaskTypesBo bo, PageQuery pageQuery);

    /**
     * 查询三方平台企业的项目任务类型列表
     */
    List<ThirdItemTaskTypesVo> queryList(ThirdItemTaskTypesBo bo);

    /**
     * 新增三方平台企业的项目任务类型
     */
    Boolean insertByBo(ThirdItemTaskTypesBo bo);

    /**
     * 修改三方平台企业的项目任务类型
     */
    Boolean updateByBo(ThirdItemTaskTypesBo bo);

    /**
     * 校验并批量删除三方平台企业的项目任务类型信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
